/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
var WebStepperDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(WebStepperDescription, _super);
    function WebStepperDescription() {
        var _this = _super.call(this) || this;
        _this.f = null;
        _this.o = null;
        _this.q = null;
        _this.i = false;
        _this.h = false;
        _this.n = null;
        _this.r = null;
        _this.p = null;
        _this.m = null;
        _this.l = null;
        return _this;
    }
    WebStepperDescription.prototype.get_type = function () {
        return "WebStepper";
    };
    Object.defineProperty(WebStepperDescription.prototype, "type", {
        get: function () {
            return this.get_type();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebStepperDescription.prototype, "steps", {
        get: function () {
            return this.f;
        },
        set: function (a) {
            this.f = a;
            this.e("Steps");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebStepperDescription.prototype, "orientation", {
        get: function () {
            return this.o;
        },
        set: function (a) {
            this.o = a;
            this.e("Orientation");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebStepperDescription.prototype, "stepType", {
        get: function () {
            return this.q;
        },
        set: function (a) {
            this.q = a;
            this.e("StepType");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebStepperDescription.prototype, "linear", {
        get: function () {
            return this.i;
        },
        set: function (a) {
            this.i = a;
            this.e("Linear");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebStepperDescription.prototype, "contentTop", {
        get: function () {
            return this.h;
        },
        set: function (a) {
            this.h = a;
            this.e("ContentTop");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebStepperDescription.prototype, "dir", {
        get: function () {
            return this.n;
        },
        set: function (a) {
            this.n = a;
            this.e("Dir");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebStepperDescription.prototype, "titlePosition", {
        get: function () {
            return this.r;
        },
        set: function (a) {
            this.r = a;
            this.e("TitlePosition");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebStepperDescription.prototype, "size", {
        get: function () {
            return this.p;
        },
        set: function (a) {
            this.p = a;
            this.e("Size");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebStepperDescription.prototype, "activeStepChangingRef", {
        get: function () {
            return this.m;
        },
        set: function (a) {
            this.m = a;
            this.e("ActiveStepChangingRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebStepperDescription.prototype, "activeStepChangedRef", {
        get: function () {
            return this.l;
        },
        set: function (a) {
            this.l = a;
            this.e("ActiveStepChangedRef");
        },
        enumerable: true,
        configurable: true
    });
    WebStepperDescription.$t = markType(WebStepperDescription, 'WebStepperDescription', Description.$);
    return WebStepperDescription;
}(Description));
export { WebStepperDescription };
